"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.add3rdPkgsToPackageJson = exports.addKeyPkgsToPackageJson = void 0;
const package_config_1 = require("./package-config");
// eslint-disable-next-line @typescript-eslint/no-var-requires
const VERSION = require('../package.json').version;
/** Add dependencies to package.json */
function addKeyPkgsToPackageJson(host) {
    (0, package_config_1.addPackage)(host, '@angular/cdk@^17.1.0');
    (0, package_config_1.addPackage)(host, 'parse5@^7.1.2', 'dev');
    (0, package_config_1.addPackage)(host, `ng-matero@~${VERSION}`);
}
exports.addKeyPkgsToPackageJson = addKeyPkgsToPackageJson;
/** Add dependencies to package.json */
function add3rdPkgsToPackageJson(host) {
    (0, package_config_1.addPackage)(host, '@angular/material@^17.1.0');
    (0, package_config_1.addPackage)(host, '@angular/material-moment-adapter@^17.1.0');
    // 3rd lib
    (0, package_config_1.addPackage)(host, '@ng-matero/extensions@^17.0.0');
    (0, package_config_1.addPackage)(host, '@ng-matero/extensions-moment-adapter@^17.0.0');
    (0, package_config_1.addPackage)(host, '@ngx-formly/core@^6.2.0');
    (0, package_config_1.addPackage)(host, '@ngx-formly/material@^6.2.0');
    (0, package_config_1.addPackage)(host, '@ngx-translate/core@^15.0.0');
    (0, package_config_1.addPackage)(host, '@ngx-translate/http-loader@^8.0.0');
    (0, package_config_1.addPackage)(host, 'moment@^2.29.4');
    (0, package_config_1.addPackage)(host, 'ngx-permissions@^16.0.1');
    (0, package_config_1.addPackage)(host, 'ngx-progressbar@^11.1.0');
    (0, package_config_1.addPackage)(host, 'ngx-toastr@^18.0.0');
    (0, package_config_1.addPackage)(host, 'photoviewer@^3.9.2');
    (0, package_config_1.addPackage)(host, 'screenfull@^6.0.2');
    // Dev
    (0, package_config_1.addPackage)(host, '@angular-eslint/builder@^17.2.0', 'dev');
    (0, package_config_1.addPackage)(host, '@angular-eslint/eslint-plugin@^17.2.0', 'dev');
    (0, package_config_1.addPackage)(host, '@angular-eslint/eslint-plugin-template@^17.2.0', 'dev');
    (0, package_config_1.addPackage)(host, '@angular-eslint/schematics@^17.2.0', 'dev');
    (0, package_config_1.addPackage)(host, '@angular-eslint/builder@0.0.0-PLACEHOLDER', 'dev');
    (0, package_config_1.addPackage)(host, '@angular-eslint/template-parser@^17.2.0', 'dev');
    (0, package_config_1.addPackage)(host, '@typescript-eslint/eslint-plugin@^6.19.0', 'dev');
    (0, package_config_1.addPackage)(host, '@typescript-eslint/parser@^6.19.0', 'dev');
    (0, package_config_1.addPackage)(host, 'eslint@^8.56.0', 'dev');
    (0, package_config_1.addPackage)(host, 'prettier@^3.2.4', 'dev');
    (0, package_config_1.addPackage)(host, 'stylelint@^16.1.0', 'dev');
    (0, package_config_1.addPackage)(host, 'stylelint-config-recess-order@^4.4.0', 'dev');
    (0, package_config_1.addPackage)(host, 'stylelint-config-recommended-scss@^14.0.0', 'dev');
    (0, package_config_1.addPackage)(host, 'stylelint-config-standard@^36.0.0', 'dev');
}
exports.add3rdPkgsToPackageJson = add3rdPkgsToPackageJson;
//# sourceMappingURL=packages.js.map